Subject: bug#3214: 23.0.92; VC dir mode fails after commit when files are deleted

From: Mauro Aranda <[email-masked]>
Date: Sun, 15 Oct 2023 07:34:09 -0300

Bob Rogers <[email-masked]> writes:

 >    To reproduce:
 >
 >    1.  Find or create a working copy of a repository, and identify a
 > file that you want to remove from the repo, call it "foo.text".  (I used
 > SVN, but the problem doesn't seem to be backend-dependent.)  You will
 > need to commit in order to trigger the bug, so be sure you really don't
 > mind getting rid of it.
 >
 >    2.  "emacs -Q" in the working copy.
 >
 >    3.  "C-x C-f foo.text RET".  The deleted file must be visited in
 > order to trigger the bug.
 >
 >    4.  Remove the file via the VC command-line tools, but don't commmit
 > yet.  (Don't use vc-delete-file, as that will also delete the buffer.)
 >
 >    5.  "C-x v d" to get VC dir mode in the other window. It should tag
 > foo.text as "removed".  (FWIW, if you do "C-x v d" first, you will see
 > bug #3213.)
 >
 >    6.  Type "v" on the foo.text line, then "C-c C-c" in the log entry
 > buffer to commit the change.  You should then get a "File foo.text no
 > longer exists!" error.  A sample backtrace is shown below.
 >

I tried to reproduce this bug, but couldn't.  I tried with svn and with
git, and didn't get an error.

I also tried the recipe in Emacs 27.1 (the oldest one I have available
here), and still wasn't able to reproduce it.

Are you still seeing this?